#include "SDL/SDL.h"

class Button
{
       public:
              int Inside(int x,int y);
              int Inside(SDL_Event event);
              void Show(SDL_Surface *screen,int alpha=255,bool flip=false);
              void SetAlpha(int alpha=255);
              SDL_Rect GetPos() {return pos;};
              SDL_Surface *Image() {return image;};
              Button(int x,int y,int w,int h,char *fname,int alpha=255,int Rkey=0,int Gkey=0,int Bkey=0);
              ~Button() {SDL_FreeSurface(image);};
       private:
              SDL_Rect pos;
              SDL_Surface *image;
};
